# Lists one-time links

<span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/one-time</span>
This endpoint lists one-time payment links.
The links may be valid or expired.
The request may be filtered to limit returns to the specified search.
<span class="api-seealso">See Also:</span><br>
To create a one-time payment and link, see `POST /pay-int-api/quick-payments/one-time`<br>
To see the details of a specified one-time payment, see `POST /pay-int-api/quick-payments/one-time/{{quickPaymentId}}`

Endpoint: GET /pay-int-api/quick-payments/one-time
Version: V1
Security: Bearer

## Query parameters:

  - `page` (integer)
    Specifies the page number of the returned search results.

A page is considered each set of the `pageSize` value.

The maximum page value is the `pageSize` divided by the `total` count rounded up.
The count is zero-based.
For example, if `pageSize` is 50 and the `total` is 130, there are three pages.
The maximum `page` value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

  - `pageSize` (integer)
    Specifies the number of items for each page of the returned search results.

A page is considered each set of the `pageSize` value.

The maximum page value is the `pageSize` divided by the `total` count rounded up.
The count is zero-based.
For example, if `pageSize` is 50 and the `total` is 130, there are three pages.
The maximum `page` value is 2.

Example: 50

  - `orderBy` (string)
    Specifies the field the results get ordered by.

The sort order is specified by the `asc` value.

Example: contactName

  - `asc` (boolean)
    Specifies the sort order is ascending.

The sort field is specified by the `orderBy` value.

If `true`, the sort order is ascending.<br>
If `false`, the sort order is descending.

Example: true

  - `search` (string)
    Specifies the search string.

This performs a case insensitive, matching, or partially matching search.

Fields does not have to be specified.
If the results are to be sorted, the field `orderby` to specify the sort field.e

## Header parameters:

  - `x-api-version` (string)

## Response 200 fields (application/json):

  - `items` (array)

  - `items.id` (string)

  - `items.customerName` (string)

  - `items.amount` (number)

  - `items.status` (integer)
    Payment link status.
Possible values:
| Status ID | Status | Description |
|  --- | --- | --- |
| 1 | Active | The link is active and can be used. |
| 2 | Inactive | The link is inactive and cannot be used. |
| 3 | Expired | The link is inactive by timing out. |
| 4 | Completed | The link is inactive by having been used successfully. |

  - `items.createdOn` (string)
    Indicates the date-time (in an ISO 8601 date-time UTC format) when the one-time quick payment was created.

Examples: 2026-02-19T20:24:52.934Z
    Example: 2026-02-19T20:24:52.934Z

  - `items.expirationTime` (string)

  - `items.transactionId` (string)

  - `total` (integer)
    Indicates the total number of one-time quick payments found.

Example: 17
    Example: 17

